Deployments.ai Docs
Security

Start device authorization

POST /v1/device-authorizations · SDK startDeviceAuthorization · CLI deployments auth login

POST
/v1/device-authorizations

Request Body

application/json
  1. body
clientId*"deployments-cli"
Value in"deployments-cli"

Response Body

DeviceAuthorizationResponse

application/json
  1. response
deviceCode*string
expiresIn*number|||
interval*number|||
userCode*string
verificationUri*string
verificationUriComplete?string
curl -X POST "https://example.com/v1/device-authorizations" \  -H "Content-Type: application/json" \  -d '{    "clientId": "deployments-cli"  }'
{  "deviceCode": "string",  "expiresIn": 0,  "interval": 0,  "userCode": "string",  "verificationUri": "string",  "verificationUriComplete": "string"}